Loading...
Searching...
No Matches
casacore::AbstractAllocator< T > Class Template Referenceabstract

`#include <Allocator.h>`

## Public Types

typedef T | value_type

## Public Member Functions

virtual | ~AbstractAllocator ()

## Protected Member Functions

| AbstractAllocator ()
virtual Allocator_private::BulkAllocator< T > * | getAllocator () const =0

## Friends

class | Array< T >
class | Block< T >

## Detailed Description

template<typename T>
class casacore::AbstractAllocator< T >

Definition at line 326 of file Allocator.h.

## Member Typedef Documentation

## value_type

template<typename T>

typedef T casacore::AbstractAllocator< T >::value_type

Definition at line 328 of file Allocator.h.

## Constructor & Destructor Documentation

## ~AbstractAllocator()

template<typename T>

virtual casacore::AbstractAllocator< T >::~AbstractAllocator | ( |  | ) |

inline virtual

Definition at line 329 of file Allocator.h.

## AbstractAllocator()

template<typename T>

casacore::AbstractAllocator< T >::AbstractAllocator | ( |  | ) |

inline protected

Definition at line 331 of file Allocator.h.

## Member Function Documentation

## getAllocator()

template<typename T>

virtual Allocator_private::BulkAllocator< T > * casacore::AbstractAllocator< T >::getAllocator | ( |  | ) | const

protected pure virtual

Implemented in casacore::BaseAllocator< T, Sub >, casacore::BaseAllocator< T, AlignedAllocator< T, CASA_DEFAULT_ALIGNMENT > >, and casacore::BaseAllocator< T, NewDelAllocator< T > >.

## Friends And Related Symbol Documentation

## Array< T >

template<typename T>

friend class Array< T >

friend

Definition at line 331 of file Allocator.h.

## Block< T >

template<typename T>

friend class Block< T >

friend

Definition at line 331 of file Allocator.h.

The documentation for this class was generated from the following file:

- casa/Containers/Allocator.h